@charset "UTF-8";

/* ====  ブロックスキップ ==== */
.skip_navi{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 60px;
    position: absolute;
    left: 0;
    top: -60px;
    transition: top 0.3s;
    z-index: 100;
    background: rgba(0, 0, 0, 0.8);
	color: #1669b1;
    font-size: 15px;
    font-weight: 600;
    letter-spacing: 0em;
    text-decoration: none;
}
.skip_navi .skip_navi_button {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 260px;
    height: 32px;
    border-radius: 75px;
    padding-top: 1px;
}
.skip_navi span::before {
    content: "";
    position: absolute;
    z-index: 0;
    width: 100%;
    height: 100%;
    border: 2px solid #1669b1;
    border-radius: 75px;
    margin-bottom: 1px;
    box-sizing: content-box;
}
.skip_navi .skip_navi_button::after{
    content: "";
    position: absolute;
    display: flex;
    width: 100%;
    height: 100%;
    background: #ffffff;
    border: 5px solid #ffffff;
    border-radius: 75px;
    z-index: -1;
    padding-top: 1px;
    margin-bottom: 1px;
    box-sizing: content-box;
}
.skip_navi:focus{
    top: 0px;
}
/* これはテスト用cssの上書き */
/* .skip_navi::after {
	display: none;
} */


@media screen and (min-width:768px) {
/* ====  検索ボックス ==== */
#header .headJP .search .search_input {
    padding: 9px 8px;
    line-height: 1.4;
    border-radius: 8px 0 0 8px;
    border-right: 1px solid;
}
#header .headJP .search form {
    background: #333;
    padding: 1px;
    border-radius: 10px;
    border: 1px solid;
}
/* ====  お問い合わせ・サイトマップ ==== */
#header .headJP .common_nav {
    order: 5;
    background: none;
    background-color: #0068b7;
    padding: 0;
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flex;
    display: -o-flex;
    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    align-items: center;
    border: 1px solid #0068b7;
    border-radius: 10px;
    overflow: hidden;
}
#header .headJP .common_nav a:first-child::after {
    content: "";
    display: inline-block;
    position: absolute;
    top: calc(50% - 10px);
    right: -1px;
    width: 1px;
    height: 20px;
    background-color: #fff;
}
/* #header .headJP .common_nav .contact-btn {
    border: 1px solid #0068b7;
    border-right: none;
}
#header .headJP .common_nav .sitemap {
    border: 1px solid #0068b7;
    border-left: none;
} */
#header .headJP .common_nav a:focus {
outline: 2px solid #ffffff;
outline-offset: -6px;
}
#header .headJP .common_nav a.contact-btn,
#header .headJP .common_nav a.contact-btn:focus {
border-radius: 10px 0 0 10px;
}
#header .headJP .common_nav a.sitemap-btn,
#header .headJP .common_nav a.sitemap-btn:focus {
border-radius: 0 10px 10px 0;
}


/* ====  ヘッダー テキストサイズ ==== */
#header .headJP .text_size {
    overflow: visible;
}
#header .headJP .text_size ul li a {
    display: inline-block;
    width: 28px;
    height: 28px;
    margin-right: 4px;
    background: none;
    text-indent: 0;
    text-align: center;
    line-height: 2;
    text-decoration: none;
}
#header .headJP .company_logo {
    order: 1;
    margin: 15px 5px 5px 40px;
}
}
/* ====  ヘッダー ロゴ ==== */
#header .site_logo {
    margin: 23px 0 28px 2px;
    width: 270px;
    float: left;
    transition: all 0.3s;
}
.logo_bg-white {
    fill: #fff;
}
svg.mctlogo{
    .mctlogo_blue{
        fill: #0068B6;
    }
    .mctlogo_black{
        fill: #000;
    }
}
svg.eastlogo{
    .eastlogo_blue{
        fill: #0072bc;
    }
}

.head-nav{
    position: relative;

    .head-nav-mainmenu{
        width: 100%;
        max-width: 1000px;
        margin: 0 auto;
        list-style: none;
        display: flex;
    }

    .head-nav-mainmenu > li{
        flex-grow: 1;
        display: flex;
        align-items: center;
    }

    .head-nav-mainmenu > li::before{
        content: "";
        display: block;
        top: calc(50% - 5px);
        left: 0;
        width: 1px;
        height: 10px;
        background-color: #0068b7;
    }
    .head-nav-mainmenu > li:last-child:after{
        content: "";
        display: block;
        top: calc(50% - 5px);
        right: 0;
        width: 1px;
        height: 10px;
        background-color: #0068b7;
    }

    .head-nav-mainmenu .p_btn{
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        position: relative;
        font-weight: bold;
        padding: 0 10px 12px;
        height: 45px;
        background-color: transparent;
        cursor: pointer;
        font-size: 14px;
        transition: .3s;
    }

    .head-nav-mainmenu .p_btn:focus,
    .head-nav-mainmenu .p_btn:hover{
        background-color: #ebf5f8;
    }

    .head-nav-mainmenu .p_btn[aria-expanded="true"]{
        background-color: #0068b7;
        color: #fff;
    }

    .head-nav-mainmenu .p_btn::after{
        position: absolute;
        content: "";
        display: block;
        height: 6px;
        width: 6px;
        left: calc(50% - 3px);
        bottom: 6px;
        border-right: 1px solid #0068b7;
        border-bottom: 1px solid #0068b7;
        transform: rotate(45deg);
        transition: .3s;
    }

    .head-nav-mainmenu .p_btn[aria-expanded="true"]::after{
        opacity: 0;
    }

    /*[aria-hidden="true"]{
        display: none;
    }

    [aria-hidden="false"]{
        display: block;
    }*/

    .head-nav-sub{
        position: absolute;
        top: 45px;
        left: 0;
        width: 100%;
        padding: 30px 0 0;
        background-color: #0068b7;
        z-index: 3000;
        transition: .3s;
        display: none;
    }

    .head-nav-sub > ul{
        width: 1000px;
        margin: 0 auto;
        list-style: none;
        display: flex;
        flex-wrap: wrap;
        gap: 10px 40px;
        margin-bottom: 24px;
    }

    .head-nav-sub a{
        color: #fff;
        display: flex;
        align-items: center;
        gap: 8px;
    }

    .head-nav-sub a::before{
        content: "";
        display: block;
        width: 6px;
        height: 6px;
        border-top: 1px solid #ebf5f8;
        border-right: 1px solid #ebf5f8;
        transform: rotate(45deg);
    }

    .cat_top{
        font-weight: 700;
        font-size: 1.2rem;
        width: 100%;
    }

    .head-nav-subtitle{
        font-weight: 700;
        width: 1000px;
        margin: 0 auto;
        margin-bottom: 10px;
        font-size: 1.08rem;
        color: #fff;
    }

    .close_submenu{
        width: 100%;
        background-color: rgba(255,255,255, 0.1);
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 7px;
        cursor: pointer;
        
        span{
            color: #fff;
            position: relative;
            padding-left: 18px;
        }
        span::before, span::after{
            position: absolute;
            content: "";
            display: block;
            background-color: #fff;
            width: 2px;
            height: 12px;
            border-radius: 1px;
            top: 4px;
            left: 6px;
            transition: .3s;
        }
        span::before{
            transform: rotate(45deg);
        }
        span::after{
            transform: rotate(-45deg);
        }
    }

    .close_submenu:hover{
        background-color: rgba(255,255,255, 0.2);
    }
}

@media screen and (max-width: 767px){
    .head-nav{
        display: none;
        .head-nav-mainmenu{
            display: none;
        }
    }
}








/* ====  疑似要素アイコン　ヘッダー・フッター ==== */
/* 白アイコン */
#header a[target="_blank"]:after {
    display: inline-block;
    content: '';
    width: 1rem;
    max-width: 15px;
    height: 0.9rem;
    margin: 0 3px 0.2rem -3px;
    background: url(../img/ico_external_white.png) no-repeat 0 0;
    background-size: 100%;
    vertical-align: -1px;
}
/* グレーアイコン */
#footer a[target="_blank"]:after {
	display: inline-block;
	content: '';
    width: 1rem;
    max-width: 15px;
    height: 0.9rem;
	margin: 0 3px 0 6px;
	background: url(../img/ico_external.png) no-repeat 0 0;
    background-size: contain;
	vertical-align: -1px;
}
#footer .sub_nav a[target="_blank"]:after {
    width: 1.1rem;
    height: 1rem;
}
.sidebar.guide .side_nav ul li a[target="_blank"]:after {
    padding-left: 6px;
    background-size: contain;
}

#header a.no-icon[target="_blank"]:after {
    display: none;
}

@media screen and (max-width: 767px) {
    #footer .footer_nav li.open .sub-menu a[target="_blank"]:after {
        display: inline-block;
        content: '';
        width: 1rem;
        max-width: 15px;
        height: 0.9rem;
        margin: 0 3px 0 6px;
        background: url(../img/ico_external.png) no-repeat 0 0;
        background-size: contain;
        vertical-align: -1px;
    }
}







/* =================================
ハイコントラストモード対応
================================= */

/* ====  ハイコントラストモード対応 ボタン系 ==== */
@media (prefers-color-scheme: dark) {
    #header .nav li .sub-menu a[target="_blank"]:after,
    #footer a[target="_blank"]:after,
    #footer a.external:after {
    background: url(../img/ico_external_white.png) no-repeat 0 0;
    background-size: contain;
    vertical-align: -1px;
    }
    #header .headJP .text_size ul li.active a,
    #header .headJP .text_size ul li a:hover {
        border: 2px solid ButtonText;
        color: ButtonText;
    }



}

@media (forced-colors: active) {
    #header .nav li .sub-menu a[target="_blank"]:after,
    #footer a[target="_blank"]:after,
    #footer a.external:after {
    background: url(../img/ico_external_white.png) no-repeat 0 0;
    background-size: contain;
    vertical-align: -1px;
    }
    #header .headJP .text_size ul li.active a,
    #header .headJP .text_size ul li a:hover {
        border: 2px solid ButtonText;
        color: ButtonText;
    }
}


@media (max-width: 767px) {
    @media (prefers-color-scheme: dark) {
        #header .headJP .common_nav .btn-tag.menu-trigger.only_sp .sp_menu_trigger,
        #header .headJP .common_nav .btn-tag.only_sp .common_nav_search,
        #header .headJP .common_nav a.only_sp .common_nav_faq {
        background-color: ButtonText;
        }
    }
    @media (forced-colors: active) {
        #header .headJP .common_nav .btn-tag.menu-trigger.only_sp .sp_menu_trigger,
        #header .headJP .common_nav .btn-tag.only_sp .common_nav_search,
        #header .headJP .common_nav a.only_sp .common_nav_faq {
        background-color: ButtonText;
        }
    }
}
@media (min-width: 768px) {
    @media (prefers-color-scheme: dark) {
        #header .headJP .common_nav a:first-child::after {
            background-color:  ButtonText;
        }
    }
    @media (forced-colors: active) {
        #header .headJP .common_nav a:first-child::after {
            background-color:  ButtonText;
        }
    }
}

